## ros-jazzy-flexbe-onboard 3.0.3

=== debian/changelog ===
ros-jazzy-flexbe-onboard (3.0.3-2bookworm) bookworm; urgency=high



 -- Philipp Schillinger <philsplus@gmail.com>  Wed, 05 Jun 2024 16:00:00 -0000

ros-jazzy-flexbe-onboard (3.0.2-2bookworm) bookworm; urgency=high

  * flake8/pycodestyle cleanup

 -- Philipp Schillinger <philsplus@gmail.com>  Mon, 03 Jun 2024 16:00:00 -0000

ros-jazzy-flexbe-onboard (3.0.1-2bookworm) bookworm; urgency=high

  * use onboard heartbeat to trigger launcher
  * clean up tabs in subscriber state
  * tweak UI message

 -- Philipp Schillinger <philsplus@gmail.com>  Thu, 30 May 2024 16:00:00 -0000

ros-jazzy-flexbe-onboard (3.0.0-2bookworm) bookworm; urgency=high

  * update with state map and changes to concurrent handling
  * allow removing action clients and service callers
  * support for new state id and concurrency handling

 -- Philipp Schillinger <philsplus@gmail.com>  Tue, 30 Apr 2024 16:00:00 -0000

ros-jazzy-flexbe-onboard (2.3.4-2bookworm) bookworm; urgency=high



 -- Philipp Schillinger <philsplus@gmail.com>  Tue, 30 Apr 2024 16:00:00 -0000

ros-jazzy-flexbe-onboard (2.3.3-2bookworm) bookworm; urgency=high

  * destroy sub/pub/client in executor thread
  * use SingleThreadedExecutor without callback groups
  * use basic pub/sub for onboard; cleanup

 -- Philipp Schillinger <philsplus@gmail.com>  Tue, 08 Aug 2023 16:00:00 -0000

ros-jazzy-flexbe-onboard (2.3.2-2bookworm) bookworm; urgency=high



 -- Philipp Schillinger <philsplus@gmail.com>  Mon, 31 Jul 2023 16:00:00 -0000

ros-jazzy-flexbe-onboard (2.3.1-2bookworm) bookworm; urgency=high

  * merge from ros2-devel to reduce spam and missing package handling

 -- Philipp Schillinger <philsplus@gmail.com>  Sun, 30 Jul 2023 16:00:00 -0000

ros-jazzy-flexbe-onboard (2.3.0-2bookworm) bookworm; urgency=high

  * flake8 cleanup; make test consistent
  * protect against build farm timing issue
  * updates to dependencies for ROS build farm
  * clean up some spam to FlexBE App console and just send to local terminal and log
  * include package name in behavior request (requires flexbe_app 3.1+) to allow duplicate behavior names in packages

 -- Philipp Schillinger <philsplus@gmail.com>  Wed, 19 Jul 2023 16:00:00 -0000

ros-jazzy-flexbe-onboard (2.2.0-2bookworm) bookworm; urgency=high

  * Modify to used behavior_id (checksum) and behavior_key consistently
  * Modify shutdown handling for clean stop
  * Modify wait() handling to avoid creating a rate object
  * rework timing and sync (significant change to handling, enables proper use_sim_time)
  * use inst_id for proxy subscribers (change to API)
  * add colcon test pytests; copyright and license info; pep257, flake8, and pylint cleanup
  * Merge team-vigir PR165 user data service
  * Merge pull request #11 from grejj/ros2-devel
    Added destroy rate calls to clear up rate resources (This was replaced by items 2 and 3 above)

 -- Philipp Schillinger <philsplus@gmail.com>  Wed, 28 Jun 2023 16:00:00 -0000

ros-jazzy-flexbe-onboard (2.1.0-2bookworm) bookworm; urgency=high

  * ROS 2 Humble release
  * FlexbeOnboard is-a Node
  * Includes changes sync check handling
  * Add formatted traceback to local log for behavior errors
  * Updated status messages
  * Update script_dir in setup.cfg
  * Tested under Ubuntu 22.04 and ROS Humble

 -- Philipp Schillinger <philsplus@gmail.com>  Mon, 01 Aug 2022 16:00:00 -0000

ros-jazzy-flexbe-onboard (2.0.0-2bookworm) bookworm; urgency=high

  * Initial ROS 2 "foxy" release based on ROS 1 commit a343c657
  * Includes changes to concurrent state and sleep handling

 -- Philipp Schillinger <philsplus@gmail.com>  Mon, 21 Feb 2022 16:00:00 -0000

ros-jazzy-flexbe-onboard (1.3.1-2bookworm) bookworm; urgency=high

  * [flexbe_onboard] Fix assertion in onboard test
  * [flexbe_onboard] Offer option to enable clearing of imports
    (see #135 <https://github.com/team-vigir/flexbe_behavior_engine/issues/135>)
  * [flexbe_onboard] Print stack trace on behavior import errors
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <philsplus@gmail.com>  Thu, 10 Dec 2020 16:00:00 -0000

ros-jazzy-flexbe-onboard (1.3.0-2bookworm) bookworm; urgency=high

  * Merge remote-tracking branch 'origin/feature/core_rework' into develop
    # Conflicts:
    #     flexbe_core/src/flexbe_core/core/operatable_state_machine.py
    #     flexbe_onboard/src/flexbe_onboard/flexbe_onboard.py
  * Add support for python3
  * [flexbe_onboard] Remove clearing imports, not working robustly
    (see e.g. flexbe/flexbe_app#66 <https://github.com/flexbe/flexbe_app/issues/66>)
  * Major clean-up of most core components
  * Remove smach dependency
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <philsplus@gmail.com>  Wed, 18 Nov 2020 16:00:00 -0000

ros-jazzy-flexbe-onboard (1.2.5-2bookworm) bookworm; urgency=high

  * [flexbe_onboard] Un-import behavior-specific imports after execution
  * [flexbe_onboard] Add test cases for onboard engine
  * Merge pull request #113 <https://github.com/team-vigir/flexbe_behavior_engine/issues/113> from team-vigir/feature/state_logger_rework
    State Logger Rework
  * Merge branch 'develop' into feature/state_logger_rework
  * [flexbe_onboard] Cleanup onboard and add thread locks
    (see #117 <https://github.com/team-vigir/flexbe_behavior_engine/issues/117>)
  * [flexbe_onboard] Expose new state logger args in onboard launch file
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <philsplus@gmail.com>  Sat, 13 Jun 2020 16:00:00 -0000

ros-jazzy-flexbe-onboard (1.2.4-2bookworm) bookworm; urgency=high

  * Merge pull request #110 <https://github.com/team-vigir/flexbe_behavior_engine/issues/110> from team-vigir/fix/catkin_install
    Let behavior library find sourcecode in devel or install spaces
  * Let behavior library find sourcecode in devel or install spaces
    (fix #104 <https://github.com/team-vigir/flexbe_behavior_engine/issues/104>)
  * Merge branch 'fmessmer-feature/python3_compatibility' into develop
  * python3 compatibility via 2to3

