=== debian/control ===
Source: ros-jazzy-flexbe-onboard
Section: misc
Priority: optional
Maintainer: Philipp Schillinger <philsplus@gmail.com>
Build-Depends: debhelper (>= 9.0.0), python3-pytest <!nocheck>, ros-jazzy-ament-copyright <!nocheck>, ros-jazzy-ament-flake8 <!nocheck>, ros-jazzy-ament-pep257 <!nocheck>, ros-jazzy-flexbe-core, ros-jazzy-flexbe-msgs, ros-jazzy-flexbe-states, ros-jazzy-launch-ros, ros-jazzy-launch-testing <!nocheck>, ros-jazzy-rclpy, ros-jazzy-ros-workspace, python3-all, python3-setuptools, dh-python
Homepage: http://ros.org/wiki/flexbe_core
Standards-Version: 3.9.2

Package: ros-jazzy-flexbe-onboard
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, ros-jazzy-flexbe-core, ros-jazzy-flexbe-msgs, ros-jazzy-flexbe-states, ros-jazzy-launch-ros, ros-jazzy-rclpy, ros-jazzy-ros-workspace
Description: flexbe_onboard implements the robot-side of the behavior engine from where all behaviors are started.
